Altibase.jdbc.driver

## Class AltibaseXALogicalConnection

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AbstractConnection
    - - Altibase.jdbc.driver.AltibaseLogicalConnection
      - - Altibase.jdbc.driver.AltibaseXALogicalConnection

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

    public class AltibaseXALogicalConnection
    extends AltibaseLogicalConnection

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseLogicalConnection

`mClosed, mPhysicalConnection, mPooledConnection`

### Fields inherited from class Altibase.jdbc.driver.AbstractConnection

`mIsClosed`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

### Methods inherited from class Altibase.jdbc.driver.AltibaseLogicalConnection

`abort, clearWarnings, close, commit, createBlob, createClob, createStatement, createStatement, createStatement, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSessionId, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap, throwErrorForClosed`

### Methods inherited from class Altibase.jdbc.driver.AbstractConnection

`createArrayOf, createNClob, createSQLXML, createStruct, getSchema, setSchema`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`